#ifndef __XTERM_TITLE_H
#define __XTERM_TITLE_H

#include <stdlib.h>
#include <unistd.h>
#include <stddef.h>
#include <sys/param.h>

/* Set xterm title according to the specification at:
 *
 *      http://xterm-title.sourceforge.net/
 *
 * Uses xterm specific escape codes to set/get window title
 * displayed by the X window manager. See:
 *
 *      http://ftp.xfree86.org/pub/XFree86/4.2.1/doc/ctlseqs.TXT
 */

extern int xterm_title_set (
    const char *appname,    /* abbrev. of the name of the application */
    const char *resource,   /* current document or URL or screen etc.. */
    int force);             /* try to set the title even if the XTERM_TITLE
                               variable is not set and the terminal name
                               in the TERM variable is unrecognized */


#endif /*__XTERM_TITLE_H */
/* vim: set ts=4 sw=4 et: */
